Subject: [homenet] Thoughts on the routing protocol non-decision...

From: Ted Lemon <[email-masked]>
Date: Wed, 22 Jul 2015 09:50:58 -0400

First of all, thanks to the design team for taking on the thankless task of doing their analysis.   Second, I would like to agree with several in the room who said a coin toss would be better than no decision.   Here is my reasoning.

I think that we really only have proponents for Babel and IS-IS at the moment.   I think that the Babel implementation does more of what we want than the IS-IS implementation.   However, both solutions can deliver a homenet today; the issue is that the handling of lossy links would be less than ideal with the current IS-IS implementation.   That’s bad, but not bad enough that picking IS-IS would be a disaster.

It would be better if one of the two competing groups would recognize the other group as the winner and withdraw their claim, but I don’t see that happening, and I’m sure this is because of an honest belief on the part of whichever group that might be that in fact their solution, whatever its shortcomings, is still technically a better choice in the long run.

What we’ve heard from the design team is that either choice would basically be fine.   We are not forbidden the choice of Babel, and we are not forbidden the choice of IS-IS.   Either choice would get us to running, interoperable code faster than no choice.   So I would like to respectfully ask the WG chairs to do a last call on this choice: to simply toss a coin.   And then we will figure out a way to do the coin toss immediately after the working group meeting.   I would propose using the method noncom uses, if it can be torqued enough to work for our slightly different use case.

Who objects?